> ## Documentation Index
> Fetch the complete documentation index at: https://docs.estream.com/llms.txt
> Use this file to discover all available pages before exploring further.

# TeleMapper Schedule



## OpenAPI

````yaml https://tmextapidev.estream.com/index.cfm/swagger get /telemapper/schedule
openapi: 3.0.0
info:
  description: Production server
  version: 1.0.0
  title: eStream API
servers:
  - url: https://tmextapi.estream.com/index.cfm
security: []
tags:
  - name: Authentication 1
  - name: Business
  - name: Employees
  - name: Onboarding
  - name: Orders
  - name: Payroll
  - name: Telemapper
paths:
  /telemapper/schedule:
    get:
      tags:
        - Telemapper
      summary: TeleMapper Schedule
      operationId: getLocations
      parameters:
        - in: query
          schema:
            type: string
          description: ''
          required: true
          name: token
        - in: query
          schema:
            type: boolean
          description: ''
          required: false
          name: includeDDTotals
        - in: query
          schema:
            type: string
          description: ''
          required: true
          name: workDate
        - in: query
          schema:
            type: integer
          description: ''
          required: true
          name: officeId
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties: {}
                type: object
              example: |-
                {
                    {
                        "message": "success",
                        "code": 200,
                        "success": true,
                        "data": [
                            {
                                "zip": "xx653",
                                "retailerName": "Customer Test",
                                "city": "NY",
                                "address": "xxx Main Road",
                                "hasShift": "1",
                                "state": "XX",
                                "eventId": "-27",
                                "sundayEndTime": "8:00 PM",
                                "sundayStartTime": "9:00 AM",
                                "saturdayEndTime": "9:00 PM",
                                "saturdayStartTime": "9:00 AM",
                                "weekDaysEndTime": "9:00 PM",
                                "weekDaysStartTime": "9:00 AM",
                                "shifts": [
                                    {
                                        "hasCheckIn": "false",
                                        "lname": "Doe",
                                        "scheduledDate": "01/05/2026 6:50 AM",
                                        "eventShiftId": "xxxx561",
                                        "isMeeting": "",
                                        "eventId": "-27",
                                        "pid": "xxxxx861",
                                        "dow": "2",
                                        "fname": "John",
                                        "title": "Timeslot",
                                        "end": "01/05/2026 2:00 PM",
                                        "start": "01/05/2026 12:00 AM"
                                    }
                                ]
                            }
                        ]
                    }

````